// Initialization with regression model
// -------------------------------------
exec('SCIHOME/ScIntro.sce',-1); mode(0);

nd=1500;
aS=.3; bS=1; k=-1;
u=sin(2*%pi*(1:nd)/nd);
y(1)=1;
for t=2:nd
  y(t)=aS*y(t-1)+bS*u(t)+k+.1*rand(1,1,'n');
end

a=.8; b=1; k=-1;                   aE=a;
ka=100;
V=eye(4,4); V(2:$,1)=[a b k]'; V(1,2:$)=[a b k]; V=V*ka; 
for t=2:nd
  Ps=[y(t) y(t-1) u(t) 1]';
  V=.995*V+Ps*Ps';
  ka=ka+1;
  th=inv(V(2:$,2:$))*V(2:$,1);     aE=[aE th(1)];
  tht(:,t)=th;
end

plot(aE)
plot([1 nd],[aS aS],'r--')
  
